from tortoise import fields
from tortoise.models import Model


class BaseSettings(Model):
    telegram_token = fields.CharField(max_length=100, unique=True)
    help_chat_id = fields.CharField(max_length=32)

    class Meta:
        table = "core_basesettings"
    

class TGUser(Model):
    user_id = fields.CharField(max_length=100, unique=True)
    username = fields.CharField(max_length=100, null=True, blank=True)
    name = fields.CharField(max_length=100, null=True, blank=True)
    created_at = fields.DatetimeField(auto_now_add=True)
    last_activity = fields.DatetimeField(null=True, blank=True)
    in_blocked = fields.BooleanField(default=False)
    thread_id = fields.IntField(default=None, null=True, blank=True)

    class Meta:
        table = "core_tguser"


class Text(Model):
    text = fields.TextField()
    slug = fields.CharField(unique=True, max_length=64)
    comment = fields.CharField(max_length=512, null=True, blank=True)

    class Meta:
        table = "core_text"


class Button(Model):
    text = fields.TextField()
    slug = fields.CharField(unique=True, max_length=64)
    comment = fields.CharField(max_length=512, null=True, blank=True)

    class Meta:
        table = "core_button"


class DualLanguageText(Text):
    text_lang = fields.TextField()


class DualLanguageButton(Button):
    text_lang = fields.TextField()
        